<?php
/**
 * Created by PhpStorm.
 * User: 中闽 < 1464674022@qq.com >
 * Date: 2019/12/5
 * Time: 17:44
 */

namespace app\api\controller;


use app\api\controller\base\Base;
use app\common\model\Announcement;
use app\common\model\ConfigOption;

class Index extends Base
{
    public function index()
    {
        $this->json_success('success', ['ip' => $this->request->ip()]);
    }

    //站点信息接口
    public function siteinfo()
    {
        $banners = (new ConfigOption())->where(['pid' => 1, 'status' => ConfigOption::STATUS_OPEN])->order('sort desc')->select();
        foreach ($banners as $key => $item) {
            $item['image'] = geturl($item->image, '', true);
            $banners[$key] = $item;
        }
        $boxs = (new ConfigOption())->where(['pid' => 2, 'status' => ConfigOption::STATUS_OPEN])->order('sort desc')->select();
        foreach ($boxs as $key => $item) {
            $item['image'] = geturl($item->image, '', true);
            $boxs[$key] = $item;
        }
        $announcements = (new Announcement())->order('id desc')->limit(6)->select();
        foreach ($announcements as $key => $item) {
            $item['thumb_url'] = $item->getThumb();
            $announcements[$key] = $item;
        }
        $this->json_success('success', [
            "banners" => $banners,//轮播图
            "boxs" => $boxs,//模块
            "contact_us" => "0595-88052395",//联系电话
            "announcements" => $announcements,//公告
            "notice" => [
                "title" => "家庭教育咨询来访须知",
                "content" => "<p>一、遵守保密原则，家庭教育指导师不会泄露来访者的电话、信息和咨询内容。<br/>二、每次咨询时长为45分钟，来访者需准时到达。<br/>三、中心仅对平台预约的服务负责，若有后续咨询意向，由家庭教育指导师和来访者个人负责，中心对此不承担任何责任。<br/>四、本中心家庭教育服务咨询为公益免费项目，为保证公共资源不被浪费，取消预约需提前24小时。<br/>五、最终解释权归晋江市家庭教育指导中心所有。<br/>点击确认即表示完全知晓并同意以上规则。<br/></p>",
            ]
        ]);
    }
}
