<?php

namespace app\common\model;

use think\Db;
use think\Model;
use time\DateHelper;

class Appointment extends Model
{
    protected $updateTime = false;

    public function getStartTimeAttr($value, $data)
    {
        return $value ? date('Y-m-d', $value) : '';
    }

    public function getEndTimeAttr($value, $data)
    {
        return $value ? date('Y-m-d', $value) : '';
    }


    /**
     * 可预约日期列表
     */
    public static function availableDayList()
    {
        $maxEndTime = (new Appointment())->max('daytime');
        $daylist = DateHelper::dateTimeList(date('Y-m-d'), date('Y-m-d', $maxEndTime), true);
        return $daylist;
    }


    //关联专家
    public function specialist()
    {
        return $this->belongsTo('Specialist', 'provider_id');
    }
}
