-- --------------------------------------------------------
-- 主机:                           127.0.0.1
-- 服务器版本:                        5.5.62-log - MySQL Community Server (GPL)
-- 服务器操作系统:                      Win64
-- HeidiSQL 版本:                  11.3.0.6295
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

-- 导出  表 appointment.tplay_address 结构
DROP TABLE IF EXISTS `tplay_address`;
CREATE TABLE IF NOT EXISTS `tplay_address` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) NOT NULL DEFAULT '' COMMENT '地名',
  `address` varchar(500) NOT NULL DEFAULT '' COMMENT '详细地址',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='地址';

-- 正在导出表  appointment.tplay_address 的数据：~2 rows (大约)
/*!40000 ALTER TABLE `tplay_address` DISABLE KEYS */;
INSERT INTO `tplay_address` (`id`, `title`, `address`) VALUES
	(1, '厦门曙光医院', '福建省厦门市湖里区金尚路127号'),
	(2, '厦门前埔医院', '地址 : 福建省厦门市湖里区仙岳路3777号\r\n电话 : 0592-5262666');
/*!40000 ALTER TABLE `tplay_address` ENABLE KEYS */;

-- 导出  表 appointment.tplay_admin 结构
DROP TABLE IF EXISTS `tplay_admin`;
CREATE TABLE IF NOT EXISTS `tplay_admin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nickname` varchar(50) NOT NULL DEFAULT '' COMMENT '昵称',
  `name` varchar(50) NOT NULL COMMENT '账号',
  `password` varchar(255) NOT NULL COMMENT '密码',
  `thumb` int(11) NOT NULL DEFAULT '0' COMMENT '头像',
  `login_time` int(11) NOT NULL DEFAULT '0' COMMENT '最后登录时间',
  `login_ip` char(15) NOT NULL DEFAULT '' COMMENT '最后登录ip',
  `admin_cate_id` int(2) NOT NULL DEFAULT '1' COMMENT '管理员分组',
  `create_time` int(11) NOT NULL,
  `update_time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='管理员';

-- 正在导出表  appointment.tplay_admin 的数据：~2 rows (大约)
/*!40000 ALTER TABLE `tplay_admin` DISABLE KEYS */;
INSERT INTO `tplay_admin` (`id`, `nickname`, `name`, `password`, `thumb`, `login_time`, `login_ip`, `admin_cate_id`, `create_time`, `update_time`) VALUES
	(1, 'Tplay', 'admin', '535ddb89a52491f46128048e648bd418', 0, 1682139145, '127.0.0.1', 1, 1649328230, 1651808242),
	(2, 'test', 'test', '582833c7a791bae18e77c4151efafc57', 6, 0, '', 2, 1682075579, 1682075579);
/*!40000 ALTER TABLE `tplay_admin` ENABLE KEYS */;

-- 导出  表 appointment.tplay_admin_cate 结构
DROP TABLE IF EXISTS `tplay_admin_cate`;
CREATE TABLE IF NOT EXISTS `tplay_admin_cate` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL COMMENT '角色名称',
  `permissions` varchar(1000) NOT NULL DEFAULT '' COMMENT '权限',
  `desc` varchar(50) NOT NULL DEFAULT '' COMMENT '备注',
  `create_time` int(11) NOT NULL,
  `update_time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='角色';

-- 正在导出表  appointment.tplay_admin_cate 的数据：~2 rows (大约)
/*!40000 ALTER TABLE `tplay_admin_cate` DISABLE KEYS */;
INSERT INTO `tplay_admin_cate` (`id`, `name`, `permissions`, `desc`, `create_time`, `update_time`) VALUES
	(1, '超级管理员', '52,87,88,120,121,132,139,141,152,157,158,159,153,180,181,154,160,161,162,155,167,168,169,156,163,164,165,166,184,185,186,111,112,113,114,115,116,142,182,22,7,8,24,25,26,91,27,28,29,96,30,97,1,10,12,13,14,15,16,17,148,170,179,187,11,41,42,44,45,106,145,43,105,108,2,3,4,5,51,117,18,19,20,21,57,58,59,130,131,129,133,134,135,136,53,54,55,56,61,122,140,92,94,137,149,150,151,77,78,79,80,81,82,83,110', '', 1649328138, 1682147816),
	(2, '测试', '52,87,88,120,121,132,139,141,152,153,154,155,156,111,112,113,114,115,116,142', '', 1682075047, 1682075310);
/*!40000 ALTER TABLE `tplay_admin_cate` ENABLE KEYS */;

-- 导出  表 appointment.tplay_admin_log 结构
DROP TABLE IF EXISTS `tplay_admin_log`;
CREATE TABLE IF NOT EXISTS `tplay_admin_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `admin_menu_id` int(11) NOT NULL COMMENT '操作菜单id',
  `admin_id` int(11) NOT NULL COMMENT '操作者id',
  `ip` char(15) NOT NULL DEFAULT '' COMMENT '操作ip',
  `url` varchar(255) NOT NULL DEFAULT '',
  `params` varchar(2000) NOT NULL DEFAULT '',
  `create_time` int(11) NOT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='后台日志';

-- 正在导出表  appointment.tplay_admin_log 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `tplay_admin_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `tplay_admin_log` ENABLE KEYS */;

-- 导出  表 appointment.tplay_admin_menu 结构
DROP TABLE IF EXISTS `tplay_admin_menu`;
CREATE TABLE IF NOT EXISTS `tplay_admin_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `module` varchar(50) NOT NULL COMMENT '模块',
  `controller` varchar(50) NOT NULL COMMENT '控制器',
  `function` varchar(50) NOT NULL COMMENT '方法',
  `parameter` varchar(50) NOT NULL DEFAULT '' COMMENT '参数',
  `description` varchar(50) NOT NULL DEFAULT '' COMMENT '描述',
  `is_display` int(1) NOT NULL DEFAULT '1' COMMENT '1显示在左侧菜单2只作为节点',
  `type` int(1) NOT NULL DEFAULT '1' COMMENT '1权限节点2普通节点',
  `pid` int(11) NOT NULL DEFAULT '0' COMMENT '上级菜单0为顶级菜单',
  `icon` varchar(50) NOT NULL DEFAULT '' COMMENT '图标',
  `is_open` int(1) NOT NULL DEFAULT '0' COMMENT '0默认闭合1默认展开',
  `orders` int(11) NOT NULL DEFAULT '0' COMMENT '排序值，越小越靠前',
  `create_time` int(11) NOT NULL,
  `update_time` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `module` (`module`) USING BTREE,
  KEY `controller` (`controller`) USING BTREE,
  KEY `function` (`function`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=188 DEFAULT CHARSET=utf8 COMMENT='系统菜单表';

-- 正在导出表  appointment.tplay_admin_menu 的数据：~165 rows (大约)
/*!40000 ALTER TABLE `tplay_admin_menu` DISABLE KEYS */;
INSERT INTO `tplay_admin_menu` (`id`, `name`, `module`, `controller`, `function`, `parameter`, `description`, `is_display`, `type`, `pid`, `icon`, `is_open`, `orders`, `create_time`, `update_time`) VALUES
	(1, '系统', '', '', '', '', '系统设置。', 1, 1, 0, 'fa-cog', 0, 10, 0, 1581073013),
	(2, '高级', '', '', '', '', '菜单管理。', 1, 1, 1, 'fa-paw', 0, 10, 0, 1649318909),
	(3, '系统菜单', 'admin', 'menu', 'index', '', '系统菜单管理', 1, 1, 2, 'fa-share-alt', 0, 0, 0, 1581073030),
	(4, '新增/修改', 'admin', 'menu', 'publish', '', '新增/修改系统菜单.', 2, 1, 3, '', 0, 0, 1516948769, 1516948769),
	(5, '删除', 'admin', 'menu', 'delete', '', '删除系统菜单。', 2, 1, 3, '', 0, 0, 1516948857, 1516948857),
	(7, '个人信息', 'admin', 'admin', 'personal', '', '个人信息修改。', 1, 1, 22, 'fa-user', 0, 0, 1516949435, 1608538891),
	(8, '修改密码', 'admin', 'admin', 'editpassword', '', '管理员修改个人密码。', 2, 1, 7, 'fa-unlock-alt', 0, 0, 1516949702, 1608538880),
	(10, '系统设置', 'admin', 'webconfig', 'index', '', '网站相关设置。', 1, 1, 1, 'fa-internet-explorer', 0, 0, 1516949994, 1649318636),
	(11, '保存修改', 'admin', 'webconfig', 'publish', '', '修改网站设置。', 2, 1, 10, 'fa-tag', 0, 1, 1516950047, 1670839634),
	(12, '邮件设置', 'admin', 'emailconfig', 'index', '', '邮件配置。', 2, 1, 10, 'fa-envelope', 0, 0, 1516950129, 1649318610),
	(13, '修改', 'admin', 'emailconfig', 'publish', '', '修改邮件设置。', 2, 1, 12, '', 0, 0, 1516950215, 1516950215),
	(14, '发送测试邮件', 'admin', 'emailconfig', 'mailto', '', '发送测试邮件。', 2, 1, 12, '', 0, 0, 1516950295, 1516950295),
	(15, '短信设置', 'admin', 'smsconfig', 'index', '', '短信设置。', 2, 1, 10, 'fa-comments', 0, 0, 1516950394, 1649318620),
	(16, '修改', 'admin', 'smsconfig', 'publish', '', '修改短信设置。', 2, 1, 15, '', 0, 0, 1516950447, 1516950447),
	(17, '发送测试短信', 'admin', 'smsconfig', 'smsto', '', '发送测试短信。', 2, 1, 15, '', 0, 0, 1516950483, 1516950483),
	(18, 'URL美化', 'admin', 'urlsconfig', 'index', '', 'URL美化', 1, 1, 2, 'fa-link', 0, 0, 1516950738, 1645173161),
	(19, '新增/修改', 'admin', 'urlsconfig', 'publish', '', '新增/修改url设置。', 2, 1, 18, '', 0, 0, 1516950850, 1516950850),
	(20, '启用/禁用', 'admin', 'urlsconfig', 'status', '', '启用/禁用url美化。', 2, 1, 18, '', 0, 0, 1516950909, 1516950909),
	(21, '删除', 'admin', 'urlsconfig', 'delete', '', ' 删除url美化规则。', 2, 1, 18, '', 0, 0, 1516950941, 1516950941),
	(22, '权限', '', '', '', '', '会员管理。', 1, 1, 0, 'fa-users', 0, 9, 1516950991, 1649318328),
	(24, '管理员', 'admin', 'admin', 'index', '', '系统管理员列表。', 1, 1, 22, 'fa-user-circle-o', 0, 0, 1516951163, 1649318427),
	(25, '新增/修改', 'admin', 'admin', 'publish', '', '新增/修改系统管理员。', 2, 1, 24, '', 0, 0, 1516951224, 1516951224),
	(26, '删除', 'admin', 'admin', 'delete', '', '删除管理员。', 2, 1, 24, '', 0, 0, 1516951253, 1516951253),
	(27, '权限组', 'admin', 'AdminCate', 'index', '', '权限分组。', 1, 1, 22, 'fa-dot-circle-o', 0, 0, 1516951353, 1649318367),
	(28, '新增/修改', 'admin', 'AdminCate', 'publish', '', '新增/修改权限组。', 2, 1, 27, '', 0, 0, 1516951483, 1516951483),
	(29, '删除', 'admin', 'AdminCate', 'delete', '', '删除权限组。', 2, 1, 27, '', 0, 0, 1516951515, 1516951515),
	(30, '操作日志', 'admin', 'AdminLog', 'index', '', '系统管理员操作日志。', 1, 1, 22, 'fa-pencil', 0, 0, 1516951754, 1681713740),
	(31, '内容', 'admin', '', '', '', 'CMS 内容管理。', 2, 2, 0, 'fa-th-large', 1, 2, 1516952262, 1682146898),
	(33, '分类', 'admin', 'Articlecate', 'index', '', '文章分类管理。', 1, 1, 31, 'fa-tag', 0, 3, 1516952856, 1681701848),
	(34, '新增/修改', 'admin', 'Articlecate', 'publish', '', '新增/修改文章分类。', 2, 1, 33, 'fa-tag', 0, 0, 1516952896, 1681701873),
	(35, '删除', 'admin', 'Articlecate', 'delete', '', '删除文章分类。', 2, 1, 33, 'fa-tag', 0, 0, 1516952942, 1681701879),
	(36, '文章', 'admin', 'Article', 'index', '', '文章管理。', 1, 1, 31, 'fa-bookmark', 0, 4, 1516953011, 1681701891),
	(37, '新增/修改', 'admin', 'Article', 'publish', '', '新增/修改文章。', 2, 1, 36, 'fa-tag', 0, 0, 1516953056, 1681701899),
	(38, '审核/拒绝', 'admin', 'article', 'status', '', '审核/拒绝文章。', 2, 1, 36, '', 0, 0, 1516953113, 1516953113),
	(39, '置顶/取消', 'admin', 'Article', 'istop_time', '', '置顶/取消置顶文章。', 2, 1, 36, 'fa-tag', 0, 0, 1516953162, 1681701921),
	(40, '删除', 'admin', 'article', 'delete', '', '删除文章。', 2, 1, 36, 'fa-asterisk', 0, 0, 1516953183, 1645180258),
	(41, '附件', 'admin', 'attachment', 'index', '', '附件管理。', 1, 1, 1, 'fa-cube', 0, 1, 1516953306, 1649318660),
	(42, '附件审核', 'admin', 'attachment', 'status', '', '附件审核。', 2, 1, 41, 'fa-asterisk', 0, 0, 1516953359, 1655952448),
	(43, '附件上传', 'admin', 'attachment', 'upload', '', '附件上传。', 2, 1, 41, '', 0, 1, 1516953392, 1516953392),
	(44, '附件下载', 'admin', 'attachment', 'download', '', '附件下载。', 2, 1, 41, '', 0, 0, 1516953430, 1516953430),
	(45, '附件删除', 'admin', 'attachment', 'delete', '', '附件删除。', 2, 1, 41, '', 0, 0, 1516953477, 1516953477),
	(50, '管理员登录', 'admin', 'common', 'login', '', '不可以加入权限路由', 2, 2, 104, 'fa-asterisk', 0, 3, 1516954517, 1645174792),
	(51, '排序', 'admin', 'menu', 'orders', '', '系统菜单排序。', 2, 1, 3, '', 0, 0, 1517562047, 1517562047),
	(52, '网站', 'admin', '', '', '', '', 1, 1, 0, 'fa-send', 1, 0, 1581067786, 1681897704),
	(53, '配置项', 'admin', 'ConfigOption', 'index', '', '', 2, 1, 57, '', 0, 10, 1581072344, 1617264867),
	(54, '新增/修改', 'admin', 'ConfigOption', 'publish', '', '', 2, 1, 53, '', 0, 0, 1581072401, 1581072401),
	(55, '删除', 'admin', 'ConfigOption', 'delete', '', '', 2, 1, 53, '', 0, 0, 1581072427, 1581072427),
	(56, '显示/隐藏', 'admin', 'ConfigOption', 'status', '', '', 2, 1, 53, '', 0, 0, 1581072456, 1581072456),
	(57, '扩展配置', 'admin', 'Config', 'index', '', '', 1, 1, 2, 'fa-grav', 0, 0, 1581072519, 1660029911),
	(58, '新增/修改', 'admin', 'Config', 'publish', '', '', 2, 1, 57, '', 0, 0, 1581072579, 1581072579),
	(59, '删除', 'admin', 'Config', 'delete', '', '', 2, 1, 57, '', 0, 0, 1581072605, 1581072605),
	(61, '批量删除', 'admin', 'ConfigOption', 'deletes', '', '', 2, 1, 53, '', 0, 0, 1581072664, 1581072664),
	(64, '模板', 'admin', 'Templet', 'index', '', '', 1, 1, 31, 'fa-copy', 0, 1, 1599644649, 1645173972),
	(65, '栏目', 'admin', 'Catalog', 'index', '', '', 1, 1, 31, 'fa-windows', 0, 2, 1599701321, 1645173987),
	(66, '新增/修改', 'admin', 'Templet', 'publish', '', '', 2, 1, 64, '', 0, 0, 1599705520, 1599705520),
	(67, '删除', 'admin', 'Templet', 'delete', '', '', 2, 1, 64, '', 0, 0, 1599705558, 1599705558),
	(68, '新增/修改', 'admin', 'Catalog', 'publish', '', '', 2, 1, 65, '', 0, 0, 1599710325, 1599721798),
	(69, '删除', 'admin', 'Catalog', 'delete', '', '', 2, 1, 65, '', 0, 0, 1599710355, 1599721809),
	(71, '上传模板', 'admin', 'Templet', 'upload', '', '', 2, 1, 64, '', 0, 0, 1599735854, 1599735854),
	(75, '生成静态页', 'admin', 'Catalog', 'exportHtml', '', '', 2, 1, 65, '', 0, 0, 1600134972, 1600134972),
	(76, '审核', 'admin', 'Articlecate', 'status', '', '', 2, 1, 33, '', 0, 0, 1600146630, 1600146630),
	(77, '数据备份', 'admin', 'Databackup', 'index', '', '', 1, 1, 2, 'fa-database', 0, 2, 1600936940, 1660029575),
	(78, '备份文件列表', 'admin', 'Databackup', 'importlist', '', '', 2, 1, 77, '', 0, 0, 1600938506, 1600938506),
	(79, '还原', 'admin', 'Databackup', 'import', '', '', 2, 1, 77, '', 0, 0, 1600938557, 1600938659),
	(80, '删除备份文件', 'admin', 'Databackup', 'del', '', '', 2, 1, 77, '', 0, 0, 1600938603, 1600938603),
	(81, '备份', 'admin', 'Databackup', 'export', '', '', 2, 1, 77, '', 0, 0, 1600938638, 1600938638),
	(82, '修复表', 'admin', 'Databackup', 'repair', '', '', 2, 1, 77, '', 0, 0, 1600938694, 1600938694),
	(83, '优化表', 'admin', 'Databackup', 'optimize', '', '', 2, 1, 77, '', 0, 0, 1600938718, 1600938718),
	(87, '用户', 'admin', 'User', 'index', '', '', 1, 1, 52, 'fa-user', 0, 1, 1604912892, 1681701781),
	(88, '新增/修改', 'admin', 'User', 'publish', '', '', 2, 1, 87, 'fa-tag', 0, 0, 1604912952, 1681701787),
	(91, '重置密码', 'admin', 'admin', 'resetpass', '', '', 2, 1, 24, '', 0, 0, 1612342055, 1612342055),
	(92, '代码生成', 'admin', 'CodeGeneration', 'index', '', '', 1, 1, 2, 'fa-asterisk', 0, 0, 1617266817, 1617266817),
	(94, '生成', 'admin', 'CodeGeneration', 'generation', '', '', 2, 1, 92, '', 0, 0, 1617336327, 1617336327),
	(96, '查看权限', 'admin', 'AdminCate', 'preview', '', '', 2, 1, 27, '', 0, 0, 1623230264, 1623230264),
	(97, '清空管理日志', 'admin', 'AdminLog', 'clearLog', '', '', 2, 1, 30, '', 0, 1, 1623230264, 1623230264),
	(98, '批量删除', 'admin', 'Article', 'deletes', '', '', 2, 1, 36, '', 0, 0, 1623230671, 1623230671),
	(99, '预览', 'admin', 'Article', 'perview', '', '', 2, 1, 36, '', 0, 0, 1623230671, 1623230671),
	(100, '排序', 'admin', 'Articlecate', 'sort', '', '', 2, 1, 33, '', 0, 0, 1623230671, 1623230671),
	(101, '预览', 'admin', 'Articlecate', 'perview', '', '', 2, 1, 33, '', 0, 0, 1623230671, 1623230671),
	(102, '排序', 'admin', 'Catalog', 'sort', '', '', 2, 1, 65, '', 0, 0, 1623230671, 1623230671),
	(103, '预览', 'admin', 'Catalog', 'perview', '', '', 2, 1, 65, '', 0, 0, 1623230671, 1623230671),
	(104, '其他', '', '', '', '', '登录后就能访问的路由', 2, 2, 0, 'fa-asterisk', 0, 20, 1623230716, 1649318243),
	(105, '图片选择/上传', 'admin', 'Attachment', 'selectImage', '', '', 2, 1, 41, '', 0, 1, 1623231185, 1623231185),
	(106, '附件网络图片持久化', 'admin', 'Attachment', 'imgPersistence', '', '', 2, 1, 41, '', 0, 0, 1623231185, 1623231185),
	(108, '添加网络图片', 'admin', 'Attachment', 'create', '', '', 2, 1, 41, '', 0, 1, 1623231185, 1623231185),
	(109, '退出登录', 'admin', 'Index', 'logout', '', '', 2, 2, 104, 'fa-asterisk', 0, 0, 1623231185, 1645174466),
	(110, '命令行备份', 'admin', 'Databackup', 'backup', '', '', 2, 1, 77, '', 0, 0, 1623231185, 1623231185),
	(111, '文件管理', 'admin', 'FileManage', 'index', '', '', 1, 1, 52, 'fa-tag', 0, 2, 1623231185, 1623231185),
	(112, '新增/编辑', 'admin', 'FileManage', 'publish', '', '', 2, 1, 111, '', 0, 0, 1623231379, 1623231379),
	(113, '删除', 'admin', 'FileManage', 'delete', '', '', 2, 1, 111, '', 0, 0, 1623231379, 1623231379),
	(114, '重命名', 'admin', 'FileManage', 'rename', '', '', 2, 1, 111, '', 0, 0, 1623231379, 1623231379),
	(115, '上传', 'admin', 'FileManage', 'upload', '', '', 2, 1, 111, '', 0, 0, 1623231379, 1623231379),
	(116, '新增目录', 'admin', 'FileManage', 'createDir', '', '', 2, 1, 111, '', 0, 0, 1623231379, 1623231379),
	(117, '批量添加', 'admin', 'Menu', 'batchAdd', '', '', 2, 1, 3, '', 0, 0, 1623231501, 1623231501),
	(118, '重命名', 'admin', 'Templet', 'rename', '', '', 2, 1, 64, '', 0, 0, 1623231501, 1623231501),
	(120, '删除', 'admin', 'User', 'delete', '', '', 2, 1, 87, '', 0, 0, 1623231501, 1623231501),
	(121, '修改积分', 'admin', 'User', 'setPoint', '', '', 2, 1, 87, '', 0, 0, 1623231501, 1623231501),
	(122, '排序', 'admin', 'ConfigOption', 'sort', '', '', 2, 1, 53, '', 0, 0, 1623231782, 1623231782),
	(123, '首页', 'admin', 'Main', 'index', '', '', 2, 2, 104, '', 0, 0, 1623231782, 1623231782),
	(124, '清理缓存', 'admin', 'Main', 'clear', '', '', 2, 2, 104, 'fa-asterisk', 0, 0, 1623231782, 1645173920),
	(126, '后台布局', 'admin', 'Index', 'index', '', '', 2, 2, 104, '', 0, 0, 1623232537, 1623232537),
	(128, '重新生成', 'admin', 'Article', 'createFile', '', '', 2, 1, 36, 'fa-asterisk', 0, 0, 1629975856, 1629975856),
	(129, '配置组标签', 'admin', 'ConfigTab', 'index', '', '', 2, 1, 57, 'fa-asterisk', 0, 1, 1629975856, 1629975856),
	(130, '排序', 'admin', 'Config', 'sort', '', '', 2, 1, 57, 'fa-asterisk', 0, 0, 1629975856, 1629975856),
	(131, '审核', 'admin', 'Config', 'status', '', '', 2, 1, 57, 'fa-asterisk', 0, 0, 1629975856, 1629975856),
	(132, '重置密码', 'admin', 'User', 'resetpass', '', '', 2, 1, 87, 'fa-asterisk', 0, 0, 1629975856, 1629975856),
	(133, '新增/修改', 'admin', 'ConfigTab', 'publish', '', '', 2, 1, 129, 'fa-asterisk', 0, 0, 1629975894, 1629975894),
	(134, '删除', 'admin', 'ConfigTab', 'delete', '', '', 2, 1, 129, 'fa-asterisk', 0, 0, 1629975894, 1629975894),
	(135, '排序', 'admin', 'ConfigTab', 'sort', '', '', 2, 1, 129, 'fa-asterisk', 0, 0, 1629975894, 1629975894),
	(136, '审核', 'admin', 'ConfigTab', 'status', '', '', 2, 1, 129, 'fa-asterisk', 0, 0, 1629975894, 1629975894),
	(137, '获取表字段信息', 'admin', 'CodeGeneration', 'getFieldsInfo', '', '', 2, 1, 92, 'fa-asterisk', 0, 0, 1645172736, 1645172736),
	(139, '设置会员', 'admin', 'User', 'setVips', '', '', 2, 1, 87, 'fa-asterisk', 0, 0, 1645172736, 1645172736),
	(140, '单选开关', 'admin', 'ConfigOption', 'single_status', '', '', 2, 1, 53, 'fa-asterisk', 0, 0, 1645180213, 1645180213),
	(141, '审核', 'admin', 'User', 'status', '', '', 2, 1, 87, 'fa-asterisk', 0, 0, 1650266964, 1650266964),
	(142, '解压', 'admin', 'FileManage', 'unzip', '', '', 2, 1, 111, 'fa-asterisk', 0, 0, 1650593397, 1650593397),
	(143, '更新treepath', 'admin', 'Articlecate', 'updateTreePath', '', '', 2, 1, 33, 'fa-asterisk', 0, 0, 1655952413, 1670839553),
	(145, '批量删除', 'admin', 'Attachment', 'deletes', '', '', 2, 1, 41, 'fa-asterisk', 0, 0, 1655952465, 1655952465),
	(146, '审核', 'admin', 'Catalog', 'status', '', '', 2, 1, 65, 'fa-tag', 0, 0, 1670839160, 1670839160),
	(147, '更新treepath', 'admin', 'Catalog', 'updateTreePath', '', '', 2, 1, 65, 'fa-tag', 0, 0, 1670839160, 1670839160),
	(148, '扩展配置', 'admin', 'Config', 'index2', '', '', 2, 1, 10, 'fa-tag', 0, 0, 1670839811, 1670839811),
	(149, '接口生成', 'admin', 'ApiGeneration', 'index', '', '', 2, 1, 92, 'fa-tag', 0, 0, 1681704332, 1681704332),
	(150, '生成', 'admin', 'ApiGeneration', 'generation', '', '', 2, 1, 149, 'fa-tag', 0, 0, 1681704470, 1681704470),
	(151, '获取字段信息', 'admin', 'ApiGeneration', 'getFieldsInfo', '', '', 2, 1, 149, 'fa-tag', 0, 0, 1681704470, 1681704470),
	(152, '地址管理', 'admin', 'Address', 'index', '', '', 1, 1, 52, 'fa-tag', 0, 2, 1681897725, 1681897757),
	(153, '反馈管理', 'admin', 'Feedback', 'index', '', '', 1, 1, 52, 'fa-tag', 0, 2, 1681986760, 1681986769),
	(154, '公告管理', 'admin', 'Announcement', 'index', '', '', 1, 1, 52, 'fa-tag', 0, 2, 1682005382, 1682005382),
	(155, '预约记录', 'admin', 'AppointmentApplication', 'index', '', '', 1, 1, 52, 'fa-tag', 0, 1, 1682006813, 1682006813),
	(156, '专家列表', 'admin', 'Specialist', 'index', '', '', 1, 1, 52, 'fa-tag', 0, 1, 1682006813, 1682006813),
	(157, '新增/修改', 'admin', 'Address', 'publish', '', '', 2, 1, 152, 'fa-tag', 0, 0, 1682145191, 1682145191),
	(158, '删除', 'admin', 'Address', 'delete', '', '', 2, 1, 152, 'fa-tag', 0, 0, 1682145191, 1682145191),
	(159, '批量删除', 'admin', 'Address', 'deletes', '', '', 2, 1, 152, 'fa-tag', 0, 0, 1682145191, 1682145191),
	(160, '新增/修改', 'admin', 'Announcement', 'publish', '', '', 2, 1, 154, 'fa-tag', 0, 0, 1682145274, 1682145274),
	(161, '删除', 'admin', 'Announcement', 'delete', '', '', 2, 1, 154, 'fa-tag', 0, 0, 1682145274, 1682145274),
	(162, '批量删除', 'admin', 'Announcement', 'deletes', '', '', 2, 1, 154, 'fa-tag', 0, 0, 1682145274, 1682145274),
	(163, '放号设置', 'admin', 'Appointment', 'index', '', '', 2, 1, 156, 'fa-tag', 0, 0, 1682145274, 1682145274),
	(164, '新增/修改', 'admin', 'Appointment', 'publish', '', '', 2, 1, 163, 'fa-tag', 0, 0, 1682145347, 1682145347),
	(165, '删除', 'admin', 'Appointment', 'delete', '', '', 2, 1, 163, 'fa-tag', 0, 0, 1682145347, 1682145347),
	(166, '批量删除', 'admin', 'Appointment', 'deletes', '', '', 2, 1, 163, 'fa-tag', 0, 0, 1682145347, 1682145347),
	(167, '新增/修改', 'admin', 'AppointmentApplication', 'publish', '', '', 2, 1, 155, 'fa-tag', 0, 0, 1682145347, 1682145347),
	(168, '删除', 'admin', 'AppointmentApplication', 'delete', '', '', 2, 1, 155, 'fa-tag', 0, 0, 1682145347, 1682145347),
	(169, '批量删', 'admin', 'AppointmentApplication', 'deletes', '', '', 2, 1, 155, 'fa-tag', 0, 0, 1682145347, 1682145347),
	(170, '预约签到设置', 'admin', 'Webconfig', 'appointmentConfig', '', '', 2, 1, 10, 'fa-tag', 0, 0, 1682145426, 1682145426),
	(171, '消息管理', 'admin', 'Tomessages', 'index', '', '', 2, 2, 87, 'fa-tag', 0, 0, 1682146722, 1682146722),
	(172, '新增/修改', 'admin', 'Tomessages', 'publish', '', '', 2, 1, 171, 'fa-tag', 0, 0, 1682146852, 1682146985),
	(173, '系统消息', 'admin', 'Tomessages', 'sysmessage', '', '', 2, 1, 171, 'fa-tag', 0, 0, 1682146852, 1682146852),
	(174, '阅读状态', 'admin', 'Tomessages', 'look', '', '', 2, 1, 171, 'fa-tag', 0, 0, 1682146852, 1682146852),
	(175, '审核状态', 'admin', 'Tomessages', 'status', '', '', 2, 1, 171, 'fa-tag', 0, 0, 1682146852, 1682146852),
	(176, '删除', 'admin', 'Tomessages', 'delete', '', '', 2, 1, 171, 'fa-tag', 0, 0, 1682146852, 1682146852),
	(177, '批量删除', 'admin', 'Tomessages', 'deletes', '', '', 2, 1, 171, 'fa-tag', 0, 0, 1682146852, 1682146852),
	(178, '积分记录', 'admin', 'PointLog', 'index', '', '', 2, 2, 87, 'fa-tag', 0, 0, 1682147077, 1682147782),
	(179, '显示扩展配置', 'admin', 'Config', 'indexWebconfig', '', '', 2, 1, 10, 'fa-tag', 0, 0, 1682147237, 1682147858),
	(180, '删除', 'admin', 'Feedback', 'delete', '', '', 2, 1, 153, 'fa-tag', 0, 0, 1682147237, 1682147237),
	(181, '批量删除', 'admin', 'Feedback', 'deletes', '', '', 2, 1, 153, 'fa-tag', 0, 0, 1682147237, 1682147237),
	(182, '发布远程', 'admin', 'FileManage', 'ftpCover', '', '', 2, 1, 111, 'fa-tag', 0, 0, 1682147237, 1682147237),
	(183, '批量删除', 'admin', 'PointLog', 'deletes', '', '', 2, 1, 178, 'fa-tag', 0, 0, 1682147237, 1682147237),
	(184, '新增/修改', 'admin', 'Specialist', 'publish', '', '', 2, 1, 156, 'fa-tag', 0, 0, 1682147237, 1682147237),
	(185, '删除', 'admin', 'Specialist', 'delete', '', '', 2, 1, 156, 'fa-tag', 0, 0, 1682147237, 1682147237),
	(186, '批量删除', 'admin', 'Specialist', 'deletes', '', '', 2, 1, 156, 'fa-tag', 0, 0, 1682147237, 1682147237),
	(187, '编辑', 'admin', 'Config', 'publishWebconfig', '', '', 2, 1, 179, 'fa-tag', 0, 0, 1682147737, 1682147737);
/*!40000 ALTER TABLE `tplay_admin_menu` ENABLE KEYS */;

-- 导出  表 appointment.tplay_announcement 结构
DROP TABLE IF EXISTS `tplay_announcement`;
CREATE TABLE IF NOT EXISTS `tplay_announcement` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) NOT NULL DEFAULT '' COMMENT '标题',
  `thumb` int(11) NOT NULL DEFAULT '0' COMMENT '封面',
  `content` varchar(5000) NOT NULL DEFAULT '' COMMENT '内容',
  `admin_id` int(11) NOT NULL DEFAULT '0' COMMENT '创建人',
  `create_time` int(11) NOT NULL DEFAULT '0' COMMENT '日期',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='公告表';

-- 正在导出表  appointment.tplay_announcement 的数据：~3 rows (大约)
/*!40000 ALTER TABLE `tplay_announcement` DISABLE KEYS */;
INSERT INTO `tplay_announcement` (`id`, `title`, `thumb`, `content`, `admin_id`, `create_time`) VALUES
	(1, '联系我们', 0, '<p>我们的地址是 xxx 市区 xxx 街道 xxx 号</p><p><br/></p><p><img src="http://local.appointment.com/static/public/images/tx.jpg" style="max-width:100%;"/><br/></p>', 1, 1682005712),
	(2, '测试', 4, '<p>测试<img src="/uploads/admin/article_content/20230421/ee2a2b125a3c174e11683530a931a69e.jpg" style="max-width: 100%;"/>的范德萨发生的</p><p>士大夫撒地方&nbsp; 水电费水电费水电费水电费sdf</p><p>是的发生的是的</p>', 1, 1682074680),
	(4, '国际新闻', 8, '<p>士大夫撒地方水电费asd</p><p>士大夫撒地方水电费地方</p>', 1, 1682244047);
/*!40000 ALTER TABLE `tplay_announcement` ENABLE KEYS */;

-- 导出  表 appointment.tplay_appointment 结构
DROP TABLE IF EXISTS `tplay_appointment`;
CREATE TABLE IF NOT EXISTS `tplay_appointment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `provider_id` int(11) NOT NULL COMMENT '服务人id',
  `title` varchar(50) NOT NULL DEFAULT '咨询服务' COMMENT '服务名称',
  `phone` varchar(50) NOT NULL COMMENT '咨询电话',
  `price` int(11) NOT NULL COMMENT '服务价格',
  `start_time` int(11) NOT NULL DEFAULT '0' COMMENT '排号日期起始',
  `end_time` int(11) NOT NULL DEFAULT '0' COMMENT '排号日期结束',
  `morning_num` int(11) NOT NULL DEFAULT '20' COMMENT '上午放号个数',
  `morning_start_time` char(8) NOT NULL DEFAULT '08:00:00',
  `morning_end_time` char(8) NOT NULL DEFAULT '12:00:00',
  `afternoon_num` int(11) NOT NULL DEFAULT '20' COMMENT '下午放号个数',
  `afternoon_start_time` char(8) NOT NULL DEFAULT '14:00:00',
  `afternoon_end_time` char(8) NOT NULL DEFAULT '18:00:00',
  `night_num` int(11) NOT NULL DEFAULT '10' COMMENT '晚上放号个数',
  `night_start_time` char(8) NOT NULL DEFAULT '20:00:00',
  `night_end_time` char(8) NOT NULL DEFAULT '23:59:59',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT '状态:1启用0停用',
  `ticket_status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否生成号源:1已生成0未生成',
  `create_time` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COMMENT='放号设置';

-- 正在导出表  appointment.tplay_appointment 的数据：~7 rows (大约)
/*!40000 ALTER TABLE `tplay_appointment` DISABLE KEYS */;
INSERT INTO `tplay_appointment` (`id`, `provider_id`, `title`, `phone`, `price`, `start_time`, `end_time`, `morning_num`, `morning_start_time`, `morning_end_time`, `afternoon_num`, `afternoon_start_time`, `afternoon_end_time`, `night_num`, `night_start_time`, `night_end_time`, `status`, `ticket_status`, `create_time`) VALUES
	(1, 3, '咨询服务', '12121', 12, 1682092800, 1682784000, 30, '08:00:00', '12:00:00', 1, '14:00:00', '18:00:00', 10, '20:00:00', '23:59:59', 1, 1, 1682151842),
	(2, 3, '咨询服务2', '111122313', 24, 1682092800, 1682784000, 20, '08:00:00', '12:00:00', 20, '14:00:00', '18:00:00', 10, '20:00:00', '23:59:59', 1, 1, 1682154903),
	(4, 1, '心里咨询', '11', 21, 1682092800, 1682784000, 20, '08:00:00', '12:00:00', 20, '14:00:00', '18:00:00', 10, '20:00:00', '23:59:59', 1, 1, 1682155202),
	(5, 1, '咨询服务', '121212122131', 32, 1682179200, 1682870400, 20, '08:00:00', '12:00:00', 20, '14:00:00', '18:00:00', 10, '20:00:00', '23:59:59', 1, 1, 1682248646),
	(6, 2, '咨询服务', '1212', 22, 1682179200, 1682870400, 20, '08:00:00', '12:00:00', 20, '14:00:00', '18:00:00', 10, '20:00:00', '23:59:59', 1, 1, 1682250558),
	(7, 1, '爱情咨询', '12121212', 14, 1682179200, 1682870400, 20, '08:00:00', '12:00:00', 20, '14:00:00', '18:00:00', 10, '20:00:00', '23:59:59', 1, 1, 1682261194),
	(8, 2, '咨询服务', '', 4, 1682179200, 1682870400, 20, '08:00:00', '12:00:00', 20, '14:00:00', '18:00:00', 10, '20:00:00', '23:59:59', 1, 1, 1682263687);
/*!40000 ALTER TABLE `tplay_appointment` ENABLE KEYS */;

-- 导出  表 appointment.tplay_appointment_application 结构
DROP TABLE IF EXISTS `tplay_appointment_application`;
CREATE TABLE IF NOT EXISTS `tplay_appointment_application` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL COMMENT '姓名',
  `user_id` int(11) NOT NULL COMMENT '用户',
  `age` int(11) NOT NULL DEFAULT '0' COMMENT '年龄',
  `birthday` varchar(50) NOT NULL DEFAULT '' COMMENT '出生年月',
  `sex` tinyint(4) NOT NULL DEFAULT '0' COMMENT '性别:1男2女',
  `phone` varchar(50) NOT NULL COMMENT '电话',
  `id_card` varchar(50) NOT NULL DEFAULT '' COMMENT '身份证',
  `childs_num` int(11) NOT NULL DEFAULT '0' COMMENT '子女数量',
  `problem_desc` varchar(200) NOT NULL DEFAULT '' COMMENT '问题描述',
  `requirement_desc` varchar(200) NOT NULL DEFAULT '' COMMENT '需求描述',
  `address_id` varchar(200) NOT NULL COMMENT '地址id',
  `provider_id` int(11) NOT NULL COMMENT '服务人id',
  `appointment_ticket_id` int(11) NOT NULL COMMENT '号源id',
  `appointment_period` tinyint(4) NOT NULL COMMENT '时段:1上午,2下午,3晚上',
  `appointment_time` varchar(50) NOT NULL COMMENT '预约时间段',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '订单状态:0未签到,1已签到,2爽约',
  `remark` varchar(200) NOT NULL DEFAULT '' COMMENT '备注',
  `create_time` int(11) NOT NULL COMMENT '下单时间',
  `finish_time` int(11) NOT NULL DEFAULT '0' COMMENT '完成时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='预约记录';

-- 正在导出表  appointment.tplay_appointment_application 的数据：~3 rows (大约)
/*!40000 ALTER TABLE `tplay_appointment_application` DISABLE KEYS */;
INSERT INTO `tplay_appointment_application` (`id`, `name`, `user_id`, `age`, `birthday`, `sex`, `phone`, `id_card`, `childs_num`, `problem_desc`, `requirement_desc`, `address_id`, `provider_id`, `appointment_ticket_id`, `appointment_period`, `appointment_time`, `status`, `remark`, `create_time`, `finish_time`) VALUES
	(1, '小明', 1, 0, '', 0, '1231214545', '', 0, '', '', '1', 1, 1, 0, '08:00:00 - 12:00:00', 0, '', 1682332917, 0),
	(2, '小明', 1, 0, '', 0, '1231214545', '', 0, '', '', '1', 1, 1, 0, '08:00:00 - 12:00:00', 0, '', 1682332922, 0),
	(3, '小明', 1, 0, '', 0, '1231214545', '', 0, '', '', '1', 1, 1, 0, '08:00:00 - 12:00:00', 0, '', 1682332924, 0);
/*!40000 ALTER TABLE `tplay_appointment_application` ENABLE KEYS */;

-- 导出  表 appointment.tplay_appointment_ticket 结构
DROP TABLE IF EXISTS `tplay_appointment_ticket`;
CREATE TABLE IF NOT EXISTS `tplay_appointment_ticket` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `appointment_id` int(11) NOT NULL COMMENT '放号配置',
  `appointment_daytime` int(11) NOT NULL COMMENT '排号日期',
  `provider_id` int(11) NOT NULL COMMENT '服务人id',
  `address_id` int(11) NOT NULL DEFAULT '0' COMMENT '地址id',
  `morning_use` int(11) NOT NULL DEFAULT '0' COMMENT '上午报名个数',
  `afternoon_use` int(11) NOT NULL DEFAULT '0' COMMENT '中午报名个数',
  `night_use` int(11) NOT NULL DEFAULT '0' COMMENT '晚上报名个数',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=64 DEFAULT CHARSET=utf8 COMMENT='号源管理';

-- 正在导出表  appointment.tplay_appointment_ticket 的数据：63 rows
/*!40000 ALTER TABLE `tplay_appointment_ticket` DISABLE KEYS */;
INSERT INTO `tplay_appointment_ticket` (`id`, `appointment_id`, `appointment_daytime`, `provider_id`, `address_id`, `morning_use`, `afternoon_use`, `night_use`) VALUES
	(1, 1, 1682092800, 3, 1, 0, 0, 0),
	(2, 1, 1682179200, 3, 1, 0, 0, 0),
	(3, 1, 1682265600, 3, 1, 1, 11, 0),
	(4, 1, 1682352000, 3, 1, 0, 0, 0),
	(5, 1, 1682438400, 3, 1, 0, 0, 0),
	(6, 1, 1682524800, 3, 1, 0, 0, 0),
	(7, 1, 1682611200, 3, 1, 0, 0, 0),
	(8, 1, 1682697600, 3, 1, 0, 0, 0),
	(9, 1, 1682784000, 3, 1, 0, 0, 0),
	(10, 2, 1682092800, 3, 1, 0, 0, 0),
	(11, 2, 1682179200, 3, 1, 0, 0, 0),
	(12, 2, 1682265600, 3, 1, 0, 0, 0),
	(13, 2, 1682352000, 3, 1, 0, 0, 0),
	(14, 2, 1682438400, 3, 1, 0, 0, 0),
	(15, 2, 1682524800, 3, 1, 0, 0, 0),
	(16, 2, 1682611200, 3, 1, 0, 0, 0),
	(17, 2, 1682697600, 3, 1, 0, 0, 0),
	(18, 2, 1682784000, 3, 1, 0, 0, 0),
	(19, 4, 1682092800, 1, 1, 0, 0, 0),
	(20, 4, 1682179200, 1, 1, 0, 0, 0),
	(21, 4, 1682265600, 1, 1, 0, 0, 0),
	(22, 4, 1682352000, 1, 1, 0, 0, 0),
	(23, 4, 1682438400, 1, 1, 0, 0, 0),
	(24, 4, 1682524800, 1, 1, 0, 0, 0),
	(25, 4, 1682611200, 1, 1, 0, 0, 0),
	(26, 4, 1682697600, 1, 1, 0, 0, 0),
	(27, 4, 1682784000, 1, 1, 0, 0, 0),
	(28, 5, 1682179200, 1, 1, 0, 0, 0),
	(29, 5, 1682265600, 1, 1, 0, 0, 0),
	(30, 5, 1682352000, 1, 1, 0, 0, 0),
	(31, 5, 1682438400, 1, 1, 0, 0, 0),
	(32, 5, 1682524800, 1, 1, 0, 0, 0),
	(33, 5, 1682611200, 1, 1, 0, 0, 0),
	(34, 5, 1682697600, 1, 1, 0, 0, 0),
	(35, 5, 1682784000, 1, 1, 0, 0, 0),
	(36, 5, 1682870400, 1, 1, 0, 0, 0),
	(37, 6, 1682179200, 2, 2, 0, 0, 0),
	(38, 6, 1682265600, 2, 2, 0, 0, 0),
	(39, 6, 1682352000, 2, 2, 0, 0, 0),
	(40, 6, 1682438400, 2, 2, 0, 0, 0),
	(41, 6, 1682524800, 2, 2, 0, 0, 0),
	(42, 6, 1682611200, 2, 2, 0, 0, 0),
	(43, 6, 1682697600, 2, 2, 0, 0, 0),
	(44, 6, 1682784000, 2, 2, 0, 0, 0),
	(45, 6, 1682870400, 2, 2, 0, 0, 0),
	(46, 7, 1682179200, 1, 1, 0, 0, 0),
	(47, 7, 1682265600, 1, 1, 0, 0, 0),
	(48, 7, 1682352000, 1, 1, 0, 0, 0),
	(49, 7, 1682438400, 1, 1, 0, 0, 0),
	(50, 7, 1682524800, 1, 1, 0, 0, 0),
	(51, 7, 1682611200, 1, 1, 0, 0, 0),
	(52, 7, 1682697600, 1, 1, 0, 0, 0),
	(53, 7, 1682784000, 1, 1, 0, 0, 0),
	(54, 7, 1682870400, 1, 1, 0, 0, 0),
	(55, 8, 1682179200, 2, 2, 0, 0, 0),
	(56, 8, 1682265600, 2, 2, 0, 0, 0),
	(57, 8, 1682352000, 2, 2, 0, 0, 0),
	(58, 8, 1682438400, 2, 2, 0, 0, 0),
	(59, 8, 1682524800, 2, 2, 0, 0, 0),
	(60, 8, 1682611200, 2, 2, 0, 0, 0),
	(61, 8, 1682697600, 2, 2, 0, 0, 0),
	(62, 8, 1682784000, 2, 2, 0, 0, 0),
	(63, 8, 1682870400, 2, 2, 0, 0, 0);
/*!40000 ALTER TABLE `tplay_appointment_ticket` ENABLE KEYS */;

-- 导出  表 appointment.tplay_article 结构
DROP TABLE IF EXISTS `tplay_article`;
CREATE TABLE IF NOT EXISTS `tplay_article` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) NOT NULL COMMENT '标题',
  `seo_title` varchar(50) NOT NULL DEFAULT '',
  `seo_keyword` varchar(255) NOT NULL DEFAULT '',
  `seo_description` varchar(255) NOT NULL DEFAULT '',
  `tag` varchar(255) NOT NULL DEFAULT '' COMMENT '标签',
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'html文件名',
  `page_views` int(11) NOT NULL DEFAULT '0' COMMENT '浏览量',
  `article_cate_id` int(11) NOT NULL DEFAULT '0' COMMENT '分类id',
  `catalog_id` int(11) NOT NULL DEFAULT '0' COMMENT '栏目id',
  `thumb` int(11) NOT NULL DEFAULT '0',
  `content` mediumtext NOT NULL,
  `content2` mediumtext NOT NULL,
  `admin_id` int(11) NOT NULL COMMENT '发布人id',
  `edit_admin_id` int(11) NOT NULL COMMENT '修改人id',
  `uploadip` char(15) NOT NULL COMMENT '操作ip',
  `status` int(1) NOT NULL DEFAULT '0' COMMENT '0待审核1已审核',
  `article_editor` varchar(50) NOT NULL DEFAULT '' COMMENT '指定编辑器',
  `source` varchar(255) NOT NULL DEFAULT '' COMMENT '文章来源地址',
  `istop_time` int(11) NOT NULL DEFAULT '0',
  `create_time` int(11) NOT NULL,
  `update_time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='文章';

-- 正在导出表  appointment.tplay_article 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `tplay_article` DISABLE KEYS */;
/*!40000 ALTER TABLE `tplay_article` ENABLE KEYS */;

-- 导出  表 appointment.tplay_article_cate 结构
DROP TABLE IF EXISTS `tplay_article_cate`;
CREATE TABLE IF NOT EXISTS `tplay_article_cate` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pid` int(11) NOT NULL DEFAULT '0' COMMENT ' 上级节点id',
  `title` varchar(50) NOT NULL COMMENT '分类名称',
  `en_name` varchar(50) NOT NULL DEFAULT '' COMMENT '英文别名',
  `seo_title` varchar(50) NOT NULL DEFAULT '' COMMENT 'SEO标题',
  `seo_keyword` varchar(255) NOT NULL DEFAULT '' COMMENT 'SEO关键词',
  `seo_description` varchar(255) NOT NULL DEFAULT '' COMMENT 'SEO描述',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '状态：1显示0隐藏',
  `tree_path` varchar(50) NOT NULL DEFAULT '0',
  `sort` int(11) NOT NULL DEFAULT '0' COMMENT '排序',
  `create_time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='文章分类';

-- 正在导出表  appointment.tplay_article_cate 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `tplay_article_cate` DISABLE KEYS */;
/*!40000 ALTER TABLE `tplay_article_cate` ENABLE KEYS */;

-- 导出  表 appointment.tplay_attachment 结构
DROP TABLE IF EXISTS `tplay_attachment`;
CREATE TABLE IF NOT EXISTS `tplay_attachment` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `module` varchar(50) NOT NULL DEFAULT '' COMMENT '所属模块',
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT '文件名',
  `filepath` varchar(255) NOT NULL DEFAULT '' COMMENT '文件路径+文件名',
  `filesize` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '文件大小',
  `fileext` varchar(50) NOT NULL DEFAULT '' COMMENT '文件后缀',
  `user_id` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '会员ID',
  `uploadip` char(15) NOT NULL DEFAULT '' COMMENT '上传IP',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0未审核1已审核-1不通过',
  `admin_id` int(11) NOT NULL COMMENT '审核者id',
  `audit_time` int(11) NOT NULL COMMENT '审核时间',
  `use` varchar(255) NOT NULL DEFAULT '' COMMENT '用处',
  `download` int(11) NOT NULL DEFAULT '0' COMMENT '下载量',
  `create_time` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='附件表';

-- 正在导出表  appointment.tplay_attachment 的数据：~6 rows (大约)
/*!40000 ALTER TABLE `tplay_attachment` DISABLE KEYS */;
INSERT INTO `tplay_attachment` (`id`, `module`, `filename`, `filepath`, `filesize`, `fileext`, `user_id`, `uploadip`, `status`, `admin_id`, `audit_time`, `use`, `download`, `create_time`) VALUES
	(3, 'admin', 'tx.jpg', 'https://iph.href.lu/400x200/?text=%E8%BD%AE%E6%92%AD%E5%9B%BE%E7%89%872&fg=666666&bg=cccccc', 0, 'jpg', 1, '127.0.0.1', 1, 0, 0, 'admin\\config_option\\publish\\pid\\1', 0, 1682058779),
	(4, 'admin', '879x200?fg=666666&bg=cccccc', 'https://iph.href.lu/400x200/?text=%E8%BD%AE%E6%92%AD%E5%9B%BE%E7%89%871&fg=666666&bg=cccccc', 0, 'webp', 1, '127.0.0.1', 1, 0, 0, 'admin\\config_option\\publish\\pid\\1', 1, 1682058974),
	(5, 'admin', '?text=%E8%BD%AE%E6%92%AD%E5%9B%BE%E7%89%873&fg=666666&bg=cccccc', 'https://iph.href.lu/400x200/?text=%E8%BD%AE%E6%92%AD%E5%9B%BE%E7%89%873&fg=666666&bg=cccccc', 0, 'webp', 1, '127.0.0.1', 1, 0, 0, 'admin\\config_option\\publish\\pid\\1', 0, 1682059505),
	(6, 'admin', '?text=%E5%BF%83%E9%87%8C%E5%92%A8%E8%AF%A2&fg=666666&bg=cccccc', 'https://iph.href.lu/400x200/?text=%E5%BF%83%E9%87%8C%E5%92%A8%E8%AF%A2&fg=666666&bg=cccccc', 0, 'webp', 1, '127.0.0.1', 1, 0, 0, 'admin\\config_option\\publish\\pid\\2', 0, 1682059751),
	(7, 'admin', '?text=%E6%B3%95%E5%BE%8B%E5%92%A8%E8%AF%A2&fg=666666&bg=cccccc', 'https://iph.href.lu/400x200/?text=%E6%B3%95%E5%BE%8B%E5%92%A8%E8%AF%A2&fg=666666&bg=cccccc', 0, 'webp', 1, '127.0.0.1', 1, 0, 0, 'admin\\config_option\\publish\\pid\\2', 0, 1682059794),
	(8, 'admin', 'ee2a2b125a3c174e11683530a931a69e.jpg', '\\uploads\\admin\\article_content\\20230421\\ee2a2b125a3c174e11683530a931a69e.jpg', 106558, 'jpg', 1, '127.0.0.1', 1, 1, 1682074697, 'article_content', 0, 1682074697);
/*!40000 ALTER TABLE `tplay_attachment` ENABLE KEYS */;

-- 导出  表 appointment.tplay_catalog 结构
DROP TABLE IF EXISTS `tplay_catalog`;
CREATE TABLE IF NOT EXISTS `tplay_catalog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(50) NOT NULL COMMENT '栏目名',
  `path` varchar(50) NOT NULL DEFAULT '' COMMENT '文件保存路径',
  `sort` tinyint(4) NOT NULL DEFAULT '0' COMMENT '排序',
  `type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0单页1文章列表',
  `catalog_templet` varchar(50) NOT NULL DEFAULT '0' COMMENT '栏目模板',
  `article_templet` varchar(50) NOT NULL DEFAULT '0' COMMENT '文章模板',
  `article_rule` varchar(50) NOT NULL DEFAULT '' COMMENT '文章命名规则',
  `articlelist_rule` varchar(50) NOT NULL DEFAULT '' COMMENT '列表命名规则',
  `articlelist_rows` int(11) NOT NULL DEFAULT '10' COMMENT '分页',
  `articlelist_sort` varchar(50) NOT NULL DEFAULT 'create_time desc' COMMENT '分页排序',
  `articlelist_where` varchar(500) NOT NULL DEFAULT '' COMMENT '分页条件',
  `seo_title` varchar(50) NOT NULL DEFAULT '',
  `seo_keyword` varchar(500) NOT NULL DEFAULT '',
  `seo_description` varchar(500) NOT NULL DEFAULT '',
  `tree_path` varchar(50) NOT NULL DEFAULT '',
  `status` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='栏目';

-- 正在导出表  appointment.tplay_catalog 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `tplay_catalog` DISABLE KEYS */;
/*!40000 ALTER TABLE `tplay_catalog` ENABLE KEYS */;

-- 导出  表 appointment.tplay_cate_catalog 结构
DROP TABLE IF EXISTS `tplay_cate_catalog`;
CREATE TABLE IF NOT EXISTS `tplay_cate_catalog` (
  `article_cate_id` int(11) NOT NULL,
  `catalog_id` int(11) NOT NULL,
  PRIMARY KEY (`article_cate_id`,`catalog_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 正在导出表  appointment.tplay_cate_catalog 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `tplay_cate_catalog` DISABLE KEYS */;
/*!40000 ALTER TABLE `tplay_cate_catalog` ENABLE KEYS */;

-- 导出  表 appointment.tplay_config 结构
DROP TABLE IF EXISTS `tplay_config`;
CREATE TABLE IF NOT EXISTS `tplay_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tab_id` int(11) NOT NULL DEFAULT '0' COMMENT '标签id',
  `name` varchar(50) NOT NULL DEFAULT '' COMMENT '名称',
  `value` varchar(50) NOT NULL DEFAULT '' COMMENT '配置值',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  `type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '类型',
  `status` tinyint(3) NOT NULL DEFAULT '1' COMMENT '审核,1:启用,0停用',
  `sort` int(11) NOT NULL DEFAULT '0' COMMENT '排序',
  `image_open` tinyint(4) NOT NULL DEFAULT '0' COMMENT '1启用图片配置',
  `image_label` varchar(50) NOT NULL DEFAULT '',
  `name_label` varchar(50) NOT NULL DEFAULT '',
  `value_label` varchar(50) NOT NULL DEFAULT '',
  `desc_label` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='配置';

-- 正在导出表  appointment.tplay_config 的数据：~2 rows (大约)
/*!40000 ALTER TABLE `tplay_config` DISABLE KEYS */;
INSERT INTO `tplay_config` (`id`, `tab_id`, `name`, `value`, `remark`, `type`, `status`, `sort`, `image_open`, `image_label`, `name_label`, `value_label`, `desc_label`) VALUES
	(1, 1, '首页轮播图', '', '', 1, 1, 0, 1, '轮播图', '图片标题', '跳转链接', ''),
	(2, 1, '模块配置', '', '网站首页模块配置', 1, 1, 0, 1, '', '模块名称', '跳转链接', '');
/*!40000 ALTER TABLE `tplay_config` ENABLE KEYS */;

-- 导出  表 appointment.tplay_config_option 结构
DROP TABLE IF EXISTS `tplay_config_option`;
CREATE TABLE IF NOT EXISTS `tplay_config_option` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL DEFAULT '' COMMENT '名称',
  `pid` int(11) NOT NULL DEFAULT '0' COMMENT '组id',
  `value` varchar(255) NOT NULL DEFAULT '' COMMENT '配置值',
  `description` varchar(500) NOT NULL DEFAULT '' COMMENT '描述',
  `image` int(11) NOT NULL DEFAULT '0' COMMENT '图标、图片',
  `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '多选:1:启用,0停用',
  `single_status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '单选:1:启用,0停用',
  `sort` int(11) NOT NULL DEFAULT '0' COMMENT '排序',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='配置项';

-- 正在导出表  appointment.tplay_config_option 的数据：~5 rows (大约)
/*!40000 ALTER TABLE `tplay_config_option` DISABLE KEYS */;
INSERT INTO `tplay_config_option` (`id`, `name`, `pid`, `value`, `description`, `image`, `status`, `single_status`, `sort`) VALUES
	(1, '图片1', 1, 'http://local.appointment.com/admin/index/index.html', '', 3, 1, 0, 0),
	(2, '图片2', 1, 'http://local.appointment.com/admin/index/index.html', '', 4, 1, 0, 0),
	(3, '图片3', 1, '', '', 5, 1, 0, 0),
	(4, '心里咨询', 2, '', '', 6, 1, 0, 0),
	(5, '法律咨询', 2, '', '', 7, 1, 0, 0);
/*!40000 ALTER TABLE `tplay_config_option` ENABLE KEYS */;

-- 导出  表 appointment.tplay_config_tab 结构
DROP TABLE IF EXISTS `tplay_config_tab`;
CREATE TABLE IF NOT EXISTS `tplay_config_tab` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL DEFAULT '' COMMENT '名称',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '1显示到系统配置0不显示',
  `sort` int(11) NOT NULL DEFAULT '0' COMMENT '排序',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='配置标签';

-- 正在导出表  appointment.tplay_config_tab 的数据：~1 rows (大约)
/*!40000 ALTER TABLE `tplay_config_tab` DISABLE KEYS */;
INSERT INTO `tplay_config_tab` (`id`, `name`, `remark`, `status`, `sort`) VALUES
	(1, '网站配置', '网站相关配置项', 1, 0);
/*!40000 ALTER TABLE `tplay_config_tab` ENABLE KEYS */;

-- 导出  表 appointment.tplay_emailconfig 结构
DROP TABLE IF EXISTS `tplay_emailconfig`;
CREATE TABLE IF NOT EXISTS `tplay_emailconfig` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `email` varchar(5) NOT NULL COMMENT '邮箱配置标识',
  `from_email` varchar(50) NOT NULL COMMENT '邮件来源也就是邮件地址',
  `from_name` varchar(50) NOT NULL,
  `smtp` varchar(50) NOT NULL COMMENT '邮箱smtp服务器',
  `username` varchar(100) NOT NULL COMMENT '邮箱账号',
  `password` varchar(100) NOT NULL COMMENT '邮箱密码',
  `title` varchar(200) NOT NULL COMMENT '邮件标题',
  `content` text NOT NULL COMMENT '邮件模板',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='邮件配置表';

-- 正在导出表  appointment.tplay_emailconfig 的数据：~1 rows (大约)
/*!40000 ALTER TABLE `tplay_emailconfig` DISABLE KEYS */;
INSERT INTO `tplay_emailconfig` (`id`, `email`, `from_email`, `from_name`, `smtp`, `username`, `password`, `title`, `content`) VALUES
	(1, 'email', '', 'Tplay', 'smtp.qq.com', '', '', '邮箱验证', '<div style="background-color: #ececec; padding: 35px;">\r\n<table style="width: 600px; margin: 0px auto; text-align: left; position: relative; border-top-left-radius: 5px; border-top-right-radius: 5px; border-bottom-right-radius: 5px; border-bottom-left-radius: 5px; font-size: 14px; font-family: 微软雅黑, 黑体; line-height: 1.5; box-shadow: #999999 0px 0px 5px; border-collapse: collapse; background-position: initial initial; background-repeat: initial initial; background: #fff;" cellpadding="0" align="center">\r\n<tbody>\r\n<tr>\r\n<th style="height: 25px; line-height: 25px; padding: 15px 35px; border-bottom-width: 1px; border-bottom-style: solid; border-bottom-color: #42a3d3; background-color: #49bcff; border-top-left-radius: 5px; border-top-right-radius: 5px; border-bottom-right-radius: 0px; border-bottom-left-radius: 0px;" valign="middle"><span style="color: #ffffff; font-family: 微软雅黑; font-size: x-large;">请完成邮箱验证! </span></th>\r\n</tr>\r\n<tr>\r\n<td>\r\n<div style="padding: 25px 35px 40px; background-color: #fff;">\r\n<h2 style="margin: 5px 0px;"><span style="line-height: 20px; color: #333333;"> <span style="line-height: 22px; font-size: large;"> 亲爱的 {nickname}<br />您正在进行注册操作，请在浏览器打开以下链接，以完成激活操作</span></span></h2>\r\n<pre>{activation_url}</pre>\r\n<p>首先感谢您加入本站！下面是您的账号信息<br />您的账号：{passport}<br />您的邮箱：<strong>{email}</strong><br />当您在使用本网站时，遵守当地法律法规。<br />如果您有什么疑问可以联系网站管理员</p>\r\n<p align="right">此为系统邮件，请勿回复</p>\r\n<p align="right">{time}</p>\r\n<div style="width: 700px; margin: 0 auto;">\r\n<div style="padding: 10px 10px 0; border-top: 1px solid #ccc; color: #747474; margin-bottom: 20px; line-height: 1.3em; font-size: 12px;">\r\n<p>此为系统邮件，请勿回复<br />请保管好您的邮箱，避免账号被他人盗用</p>\r\n<p>©***</p>\r\n</div>\r\n</div>\r\n</div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</div>');
/*!40000 ALTER TABLE `tplay_emailconfig` ENABLE KEYS */;

-- 导出  表 appointment.tplay_feedback 结构
DROP TABLE IF EXISTS `tplay_feedback`;
CREATE TABLE IF NOT EXISTS `tplay_feedback` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `content` varchar(500) NOT NULL DEFAULT '' COMMENT '内容',
  `user_id` int(11) NOT NULL DEFAULT '0' COMMENT '发布人',
  `create_time` int(11) NOT NULL DEFAULT '0' COMMENT '日期',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='反馈表';

-- 正在导出表  appointment.tplay_feedback 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `tplay_feedback` DISABLE KEYS */;
/*!40000 ALTER TABLE `tplay_feedback` ENABLE KEYS */;

-- 导出  表 appointment.tplay_messages 结构
DROP TABLE IF EXISTS `tplay_messages`;
CREATE TABLE IF NOT EXISTS `tplay_messages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `from_user_id` int(11) NOT NULL DEFAULT '0',
  `to_user_id` int(11) NOT NULL DEFAULT '0',
  `to_msg_id` int(11) NOT NULL DEFAULT '0',
  `ip` char(15) NOT NULL,
  `message` varchar(500) NOT NULL DEFAULT '',
  `is_look` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0未读1已读',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0待审核1通过-1拒绝',
  `create_time` int(11) NOT NULL,
  `update_time` int(11) NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='消息';

-- 正在导出表  appointment.tplay_messages 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `tplay_messages` DISABLE KEYS */;
/*!40000 ALTER TABLE `tplay_messages` ENABLE KEYS */;

-- 导出  表 appointment.tplay_point_log 结构
DROP TABLE IF EXISTS `tplay_point_log`;
CREATE TABLE IF NOT EXISTS `tplay_point_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `before` int(11) NOT NULL COMMENT '变化之前的积分',
  `symbol` char(1) NOT NULL COMMENT '+-符号',
  `change` int(11) NOT NULL COMMENT '变化的积分',
  `final` int(11) NOT NULL COMMENT '变换后的积分',
  `type` tinyint(4) NOT NULL COMMENT '类型',
  `remark` varchar(50) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '说明',
  `create_time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='积分';

-- 正在导出表  appointment.tplay_point_log 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `tplay_point_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `tplay_point_log` ENABLE KEYS */;

-- 导出  表 appointment.tplay_smsconfig 结构
DROP TABLE IF EXISTS `tplay_smsconfig`;
CREATE TABLE IF NOT EXISTS `tplay_smsconfig` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sms` varchar(10) NOT NULL DEFAULT 'sms' COMMENT '标识',
  `appkey` varchar(200) NOT NULL,
  `secretkey` varchar(200) NOT NULL,
  `type` varchar(100) NOT NULL DEFAULT 'normal' COMMENT '短信类型',
  `name` varchar(100) NOT NULL COMMENT '短信签名',
  `code` varchar(100) NOT NULL COMMENT '短信模板ID',
  `content` text NOT NULL COMMENT '短信默认模板',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='短信配置表';

-- 正在导出表  appointment.tplay_smsconfig 的数据：~1 rows (大约)
/*!40000 ALTER TABLE `tplay_smsconfig` DISABLE KEYS */;
INSERT INTO `tplay_smsconfig` (`id`, `sms`, `appkey`, `secretkey`, `type`, `name`, `code`, `content`) VALUES
	(1, 'sms', '', '', '', '', '', '');
/*!40000 ALTER TABLE `tplay_smsconfig` ENABLE KEYS */;

-- 导出  表 appointment.tplay_specialist 结构
DROP TABLE IF EXISTS `tplay_specialist`;
CREATE TABLE IF NOT EXISTS `tplay_specialist` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL COMMENT '名字',
  `title` varchar(50) NOT NULL COMMENT '职称',
  `head_pic` varchar(255) NOT NULL DEFAULT '' COMMENT '头像',
  `sex` tinyint(4) NOT NULL DEFAULT '0' COMMENT '性别:0未知,1男,2女',
  `desc` varchar(500) NOT NULL DEFAULT '' COMMENT '简介',
  `consultation_direction` varchar(500) NOT NULL DEFAULT '' COMMENT '咨询方向',
  `address_id` int(11) NOT NULL COMMENT '地址',
  `phone` varchar(50) NOT NULL DEFAULT '' COMMENT '联系电话',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='专家';

-- 正在导出表  appointment.tplay_specialist 的数据：~3 rows (大约)
/*!40000 ALTER TABLE `tplay_specialist` DISABLE KEYS */;
INSERT INTO `tplay_specialist` (`id`, `name`, `title`, `head_pic`, `sex`, `desc`, `consultation_direction`, `address_id`, `phone`) VALUES
	(1, '张站长', '心里医生', '6', 2, '心里医生', '心里医生', 1, '12121212'),
	(2, '李医生', '男科专家', '8', 1, '男科主任', '妇科病', 2, ''),
	(3, '王医生', '妇科大夫', '0', 0, '妇科大夫', '妇科大夫', 1, '');
/*!40000 ALTER TABLE `tplay_specialist` ENABLE KEYS */;

-- 导出  表 appointment.tplay_urlconfig 结构
DROP TABLE IF EXISTS `tplay_urlconfig`;
CREATE TABLE IF NOT EXISTS `tplay_urlconfig` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `aliases` varchar(200) NOT NULL COMMENT '别名',
  `url` varchar(200) NOT NULL COMMENT '原url结构',
  `desc` varchar(50) NOT NULL DEFAULT '' COMMENT '备注',
  `status` int(1) NOT NULL DEFAULT '1' COMMENT '0禁用1使用',
  `create_time` int(11) NOT NULL,
  `update_time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='URL美化';

-- 正在导出表  appointment.tplay_urlconfig 的数据：~1 rows (大约)
/*!40000 ALTER TABLE `tplay_urlconfig` DISABLE KEYS */;
INSERT INTO `tplay_urlconfig` (`id`, `aliases`, `url`, `desc`, `status`, `create_time`, `update_time`) VALUES
	(1, 'admin_login', 'admin/common/login', '后台登录地址', 1, 1517621629, 1682134751);
/*!40000 ALTER TABLE `tplay_urlconfig` ENABLE KEYS */;

-- 导出  表 appointment.tplay_user 结构
DROP TABLE IF EXISTS `tplay_user`;
CREATE TABLE IF NOT EXISTS `tplay_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pid` int(11) NOT NULL DEFAULT '0' COMMENT '推荐人id',
  `passport` varchar(50) NOT NULL COMMENT '账号',
  `nickname` varchar(50) NOT NULL DEFAULT '' COMMENT '昵称',
  `password` varchar(50) NOT NULL DEFAULT '' COMMENT '密码',
  `user_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '账号类型',
  `user_cate` tinyint(4) NOT NULL DEFAULT '0' COMMENT '用户角色',
  `level` int(11) NOT NULL DEFAULT '0' COMMENT '角色等级',
  `head_pic` varchar(255) NOT NULL DEFAULT '' COMMENT '头像',
  `point` int(11) NOT NULL DEFAULT '0' COMMENT '积分',
  `money` int(11) NOT NULL DEFAULT '0' COMMENT '余额',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '审核状态',
  `ip` char(15) NOT NULL DEFAULT '' COMMENT '注册ip',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  `stop_time` int(11) NOT NULL DEFAULT '0' COMMENT '到期时间',
  `create_time` int(11) NOT NULL COMMENT '注册时间',
  `login_time` int(11) NOT NULL COMMENT '最后登录时间',
  `openid` varchar(50) NOT NULL DEFAULT '',
  `unionid` varchar(50) NOT NULL DEFAULT '',
  `sex` tinyint(4) NOT NULL DEFAULT '0' COMMENT '性别:0未知,1男,2女',
  `country` varchar(50) NOT NULL DEFAULT '' COMMENT '国家',
  `province` varchar(50) NOT NULL DEFAULT '' COMMENT '省份',
  `city` varchar(50) NOT NULL DEFAULT '' COMMENT '城市',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='用户表';

-- 正在导出表  appointment.tplay_user 的数据：~1 rows (大约)
/*!40000 ALTER TABLE `tplay_user` DISABLE KEYS */;
INSERT INTO `tplay_user` (`id`, `pid`, `passport`, `nickname`, `password`, `user_type`, `user_cate`, `level`, `head_pic`, `point`, `money`, `status`, `ip`, `remark`, `stop_time`, `create_time`, `login_time`, `openid`, `unionid`, `sex`, `country`, `province`, `city`) VALUES
	(1, 0, '111', '111', '', 1, 0, 0, '1111', 0, 0, 1, '127.0.0.1', '', 0, 1682071180, 1682071180, '', '', 0, '', '', '');
/*!40000 ALTER TABLE `tplay_user` ENABLE KEYS */;

-- 导出  表 appointment.tplay_webconfig 结构
DROP TABLE IF EXISTS `tplay_webconfig`;
CREATE TABLE IF NOT EXISTS `tplay_webconfig` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL DEFAULT '' COMMENT '别名',
  `is_log` tinyint(4) NOT NULL DEFAULT '1' COMMENT '1开启日志0关闭',
  `is_close_site` tinyint(4) NOT NULL DEFAULT '0' COMMENT '1关闭网站0开启网站',
  `file_type` varchar(200) NOT NULL DEFAULT '' COMMENT '允许上传的类型',
  `file_size` bigint(20) NOT NULL DEFAULT '500' COMMENT '允许上传的最大值',
  `black_ip` varchar(2000) NOT NULL DEFAULT '' COMMENT 'ip黑名单',
  `article_editor` varchar(50) NOT NULL DEFAULT '' COMMENT '文章编辑器',
  `break_the_promise_day_range` int(11) NOT NULL DEFAULT '0',
  `break_the_promise_times` int(11) NOT NULL DEFAULT '0' COMMENT '爽约次数',
  `stop_appointment_day` int(11) NOT NULL DEFAULT '0' COMMENT '多少天无法预约',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='系统配置';

-- 正在导出表  appointment.tplay_webconfig 的数据：~1 rows (大约)
/*!40000 ALTER TABLE `tplay_webconfig` DISABLE KEYS */;
INSERT INTO `tplay_webconfig` (`id`, `name`, `is_log`, `is_close_site`, `file_type`, `file_size`, `black_ip`, `article_editor`, `break_the_promise_day_range`, `break_the_promise_times`, `stop_appointment_day`) VALUES
	(1, '咨询预约', 0, 0, 'jpg,png,gif,mp4,zip,jpeg,html', 1024, '', 'wangEditor', 30, 1, 2);
/*!40000 ALTER TABLE `tplay_webconfig` ENABLE KEYS */;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IFNULL(@OLD_FOREIGN_KEY_CHECKS, 1) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40111 SET SQL_NOTES=IFNULL(@OLD_SQL_NOTES, 1) */;

ALTER TABLE `tplay_address`
	ADD COLUMN `thumb` INT NOT NULL DEFAULT '0' COMMENT '封面' AFTER `title`;



ALTER TABLE `tplay_appointment`
	CHANGE COLUMN `phone` `phone` VARCHAR(50) NOT NULL DEFAULT '' COMMENT '咨询电话' COLLATE 'utf8_general_ci' AFTER `title`;



ALTER TABLE `tplay_appointment`
	ADD COLUMN `daytime` INT(11) NOT NULL COMMENT '排号日期' AFTER `price`,
	DROP COLUMN `start_time`,
	DROP COLUMN `end_time`;
ALTER TABLE `tplay_appointment`
	ADD COLUMN `morning_use` INT(11) NOT NULL DEFAULT '20' COMMENT '上午报名个数' AFTER `morning_num`,
	ADD COLUMN `afternoon_use` INT(11) NOT NULL DEFAULT '20' COMMENT '下午报名个数' AFTER `afternoon_num`,
	ADD COLUMN `night_use` INT(11) NOT NULL DEFAULT '10' COMMENT '晚上报名个数' AFTER `night_num`;


ALTER TABLE `tplay_appointment`
	DROP COLUMN `ticket_status`;

ALTER TABLE `tplay_appointment`
	ADD COLUMN `address_id` INT(11) NOT NULL COMMENT '地址id' AFTER `provider_id`;
ALTER TABLE `tplay_appointment`
	DROP COLUMN `title`,
	DROP COLUMN `phone`;
ALTER TABLE `tplay_appointment`
	CHANGE COLUMN `morning_use` `morning_use` INT(11) NOT NULL DEFAULT '0' COMMENT '上午报名个数' AFTER `morning_num`,
	CHANGE COLUMN `afternoon_use` `afternoon_use` INT(11) NOT NULL DEFAULT '0' COMMENT '下午报名个数' AFTER `afternoon_num`,
	CHANGE COLUMN `night_use` `night_use` INT(11) NOT NULL DEFAULT '0' COMMENT '晚上报名个数' AFTER `night_num`;


ALTER TABLE `tplay_specialist`
	CHANGE COLUMN `address_id` `address_id` INT(11) NOT NULL DEFAULT '0' COMMENT '地址' AFTER `consultation_direction`;




ALTER TABLE `tplay_appointment_application`
	ADD COLUMN `city` VARCHAR(50) NOT NULL DEFAULT '' COMMENT '来自城市' AFTER `id_card`,
	ADD COLUMN `job` VARCHAR(50) NOT NULL DEFAULT '' COMMENT '职业' AFTER `city`,
	ADD COLUMN `education_level` TINYINT NOT NULL DEFAULT 0 COMMENT '受教育程度:1小学,2初中,3高中,4大学及以上' AFTER `job`,
	CHANGE COLUMN `childs_num` `childs_num` TINYINT NOT NULL DEFAULT '0' COMMENT '子女数量' AFTER `education_level`,
	ADD COLUMN `home_address` VARCHAR(255) NOT NULL DEFAULT '' COMMENT '家庭住址' AFTER `childs_num`,
	ADD COLUMN `marriage` TINYINT NOT NULL DEFAULT '0' COMMENT '婚姻情况:0未婚,1己婚,2离异' AFTER `home_address`,
	ADD COLUMN `problem_type` TINYINT NOT NULL DEFAULT '0' COMMENT '咨询问题类别:0其他,1自我意识,2人际关系,3亲子关系,4情绪问题,5学习问题' AFTER `marriage`;

ALTER TABLE `tplay_appointment_application`
	CHANGE COLUMN `childs_num` `childs_num` TINYINT(4) NOT NULL DEFAULT '0' COMMENT '子女数量:无，一孩、二孩、三孩' AFTER `education_level`,
	ADD COLUMN `childs_age1` TINYINT(4) NOT NULL DEFAULT '0' AFTER `childs_num`,
	ADD COLUMN `childs_age2` TINYINT(4) NOT NULL DEFAULT '0' AFTER `childs_age1`,
	ADD COLUMN `childs_age3` TINYINT(4) NOT NULL DEFAULT '0' AFTER `childs_age2`,
	ADD COLUMN `childs_sex1` TINYINT(4) NOT NULL DEFAULT '0' AFTER `childs_age3`,
	ADD COLUMN `childs_sex2` TINYINT(4) NOT NULL DEFAULT '0' AFTER `childs_sex1`,
	ADD COLUMN `childs_sex3` TINYINT(4) NOT NULL DEFAULT '0' AFTER `childs_sex2`;

ALTER TABLE `tplay_appointment`
	ALTER `daytime` DROP DEFAULT;
ALTER TABLE `tplay_appointment`
	CHANGE COLUMN `daytime` `start_time` INT(11) NOT NULL COMMENT '排号日期' AFTER `price`,
	ADD COLUMN `end_time` INT(11) NOT NULL COMMENT '排号日期' AFTER `start_time`,
	DROP COLUMN `address_id`,
	DROP COLUMN `morning_use`,
	DROP COLUMN `afternoon_use`,
	DROP COLUMN `night_use`;

ALTER TABLE `tplay_appointment`
	ADD COLUMN `weeks` INT(11) NOT NULL COMMENT '排号工作日' AFTER `end_time`;

ALTER TABLE `tplay_appointment_ticket`
	ADD COLUMN `status` TINYINT NOT NULL DEFAULT '1' COMMENT '状态:1启用0停用' AFTER `night_use`;

ALTER TABLE `tplay_appointment_application`
	ADD COLUMN `childs_num_str` VARCHAR(255) NOT NULL DEFAULT '' COMMENT '子女数量,字符串格式' AFTER `childs_num`;

ALTER TABLE `tplay_appointment_ticket`
	DROP COLUMN `morning_use`,
	DROP COLUMN `afternoon_use`,
	DROP COLUMN `night_use`;


